package com.bsoft.admin.mapper;

import com.bsoft.admin.model.DicOrg;
import com.bsoft.admin.model.respmodel.DicOrgList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DicOrgMapper {
    int deleteByPrimaryKey(Long id);

    int insert(DicOrg record);

    DicOrg selectByPrimaryKey(Long id);

    List<DicOrg> selectAll();

    List<DicOrgList> selectParentAll();

    int updateByPrimaryKey(DicOrg record);

    List<DicOrg> selectByUser(@Param("userId") Long userId);

    DicOrg selectByName(@Param("orgName") String orgName);
}