package com.bsoft.admin.mapper;

import com.bsoft.admin.model.SysRoleMenuRs;
import com.bsoft.admin.model.respmodel.SysRoleMenuRsList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysRoleMenuRsMapper {
    int deleteByPrimaryKey(Long id);

    int insert(SysRoleMenuRs record);

    SysRoleMenuRs selectByPrimaryKey(Long id);

    List<SysRoleMenuRs> selectAll();

    int updateByPrimaryKey(SysRoleMenuRs record);

    List<SysRoleMenuRsList> selectByRole(@Param("roleId") Long roleId);

    int deleteAllByRole(@Param("roleId") Long roleId);

    SysRoleMenuRs selectByUserWithRole(@Param("roleId") Long roleId,@Param("menuId") Long menuId);
}