package com.bsoft.admin.service;

import com.bsoft.admin.model.DicOrg;
import com.bsoft.admin.model.reqmodel.OrgReq;
import com.bsoft.admin.model.respmodel.DicOrgList;
import com.bsoft.admin.model.respmodel.SysUserOrgRsList;

import java.util.List;

public interface DicOrgService {
    //顶级机构的父级id
    final static Integer ORG_TOP_PARENT_ID  =0;

    List<DicOrgList> getParentAll(OrgReq.GetOrgReq org);
    List<DicOrg> getAll();
    DicOrg info(Long orgId);
    boolean addOrg(Long userId,OrgReq.AddOrgReq org);
    boolean deleteOrg(OrgReq.DeleteOrgReq org);
    boolean updateOrg(OrgReq.UpdateOrgReq org);
    DicOrg getByName(String orgName);
    List<SysUserOrgRsList> getUserOrg(Long userId);
    boolean saveUserOrg(Long userId,OrgReq.SaveUserOrgReq org);
}
