package com.bsoft.admin.mapper;

import com.bsoft.admin.model.SysMenu;
import com.bsoft.admin.model.respmodel.SysMenuList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysMenuMapper {
    int deleteByPrimaryKey(Long id);

    int insert(SysMenu record);

    SysMenu selectByPrimaryKey(Long id);

    List<SysMenu> selectAll();

    int updateByPrimaryKey(SysMenu record);

    List<SysMenuList> selectMenuByUser(Long userId);

    List<SysMenuList> selectParentAll();

    Integer selectMaxSort(@Param("parentId") Long parentId);
}